Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: Error upgrading from 1.4.x to 1.5.6  (Read 4086 times)

0 Members and 1 Guest are viewing this topic.

yuppicide

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 41
Error upgrading from 1.4.x to 1.5.6
« on: June 22, 2010, 05:45:20 pm »

http://www.peppermint-bay.com/cat/

I followed the steps on this page:

http://coppermine-gallery.net/demo/cpg15x/docs/en/upgrading.htm

I get the to the last step where I need to run update.php and the screen is blank!

If I try to go to the link I gave you above, all I get is "Fatal Error:"

What to do?
Logged

yuppicide

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 41
Re: Error upgrading from 1.4.x to 1.5.6
« Reply #1 on: June 22, 2010, 06:12:32 pm »

Sorry, I found the answer.

Now I just need to see about fixing my custom theme.. it looks all wrong.
Logged

Phill Luckhurst

  • Administrator
  • Coppermine addict
  • *****
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 4822
    • Windsurf.me
Re: Error upgrading from 1.4.x to 1.5.6
« Reply #2 on: June 22, 2010, 07:04:07 pm »

The point of a forum such as this is to share knowledge. As such we would ask you to resolve your threads first by telling others how you solved your problem and secondly marking your thread as solved by clicking the little tick in the corner of your post.

Please bear this in mind, resolve this thread and start a new thread for your theme problem. Failing to do so makes users less likely to help you in future.
Logged
It is a mistake to think you can solve any major problems just with potatoes.

yuppicide

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 41
Re: Error upgrading from 1.4.x to 1.5.6
« Reply #3 on: June 22, 2010, 07:39:34 pm »

Alright I'll mark everything solved and figure this out on my own.. my whole Coppermine is currently screwed up.
Logged

Phill Luckhurst

  • Administrator
  • Coppermine addict
  • *****
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 4822
    • Windsurf.me
Re: Error upgrading from 1.4.x to 1.5.6
« Reply #4 on: June 22, 2010, 08:20:24 pm »

That is not the attitude. We have a one question per thread policy. All we are asking is that you obey that request. It is really hard to follow multiple questions in one thread for any newcomer. If you are not happy with that then fine, work it out on your own.

In this thread you have fixed one problem on your own, please tell others how you did so. Then start a new thread with your theme problem.
Logged
It is a mistake to think you can solve any major problems just with potatoes.

yuppicide

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 41
Re: Error upgrading from 1.4.x to 1.5.6
« Reply #5 on: June 22, 2010, 09:14:21 pm »

No, I wasn't starting a second problem. I was only mentioning the fact.

I viewed another topic here about "fatal error" which suggested I some stuff in functions file. Eventually, I just deleted everything but my albums file, config file, and my anycontent file. Reuploaded everything else and ran update.

PS - The Curve theme looks sweet.
Logged

Phill Luckhurst

  • Administrator
  • Coppermine addict
  • *****
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 4822
    • Windsurf.me
Re: Error upgrading from 1.4.x to 1.5.6
« Reply #6 on: June 22, 2010, 09:42:17 pm »

It seems qute a few people have had a similar problem when upgrading (including myself on one site). It is always best to empty the folders as stuff you don't need often gets left behind. Many files get deleted automatically by the update script but there were so many mods etc available with 1.4.x and couple that with various server setups and file permission problems that is is amazing how few upgrade problems there have been. I think it proves that the script is robust but not infaliable. Thanks for taking the time to resolve your issue.
Logged
It is a mistake to think you can solve any major problems just with potatoes.
Pages: [1]   Go Up
 

Page created in 0.014 seconds with 20 queries.